"use client";
import { useState } from "react";
import Link from "next/link";
import styles from "./header.module.scss";

export const Header = () => {
  const [showMenu, setShowMenu] = useState(false);
  function toggleMenu() {
    setShowMenu(!showMenu);
  }

  return (
    <header className={styles.header}>
      <Link href="/" aria-label="Hjem">
        <h1 className={styles.logo}>Chateau Neuf</h1>
      </Link>
      <nav className={styles.siteMenu} data-show={showMenu}>
        <ul>
          <li>
            <Link href="/arrangementer">Arrangementer</Link>
          </li>
          <li>
            <Link href="/">Praktisk info</Link>
          </li>
          <li>
            <Link href="/">Utleie</Link>
          </li>
          <li>
            <Link href="/">Bli medlem</Link>
          </li>
        </ul>
      </nav>
    </header>
  );
};
